#include "Strukturen.h"

// Inhalt der SpielerTeamStruktur Struktur aus Strukturen.h
SpielerTeamStruktur::SpielerTeamStruktur()
    : ReferenceCounter()
{
    spielerAnzahl = 0;
    teamAnzahl = 0;
    spielerFarbe = new Array< int >();
    teamFarbe = new Array< int >();
    teamName = new RCArray< Text >();
    teamSize = new Array< int >();
}

SpielerTeamStruktur::~SpielerTeamStruktur()
{
    spielerFarbe->release();
    teamFarbe->release();
    teamName->release();
    teamSize->release();
}